Bug 500082 - Review Request: postal - mail server benchmark
Review Request: postal - mail server benchmark
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Susi Lehtola
Fedora Extras Quality Assurance
:
: postal (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-10 15:43 EDT by David Nalley
Modified: 2009-06-17 09:34 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-17 09:34:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
susi.lehtola: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description David Nalley 2009-05-10 15:43:19 EDT
Spec URL: http://ke4qqq.fedorapeople.org/postal.spec
SRPM URL: http://ke4qqq.fedorapeople.org/postal-0.70-3.fc10.src.rpm

Description: The Postal suite consists of an SMTP delivery benchmark (postal), a POP retrieval benchmark (rabid) and a SMTP sink (bhm).  It is designed to test mail servers and mail forwarding systems.
Comment 1 Susi Lehtola 2009-05-11 02:03:47 EDT
rpmlint output is clean.


MUST: The spec file for the package is legible and macros are used consistently. OK
MUST: The package must be named according to the Package Naming Guidelines. OK
MUST: The spec file name must match the base package %{name}. OK
MUST: The package must be licensed with a Fedora approved license and meet the  Licensing Guidelines. OK

MUST: The License field in the package spec file must match the actual license. NEEDSFIX/OK?
- Changes.txt mentions license was changed to GPLv3, but no source code files contain any mention of any license.
- Please contact upstream to add license headers to source code files.
- Considering that upstream author is active in Debian, he should understand the need for a clearly set license.

MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. OK
MUST: The package MUST successfully compile and build into binary rpms. OK
MUST: The spec file MUST handle locales properly. N/A

MUST: Optflags are used and time stamps preserved. NEEDSFIX
- Use INSTALL="install -p" as argument to make install to preserve time stamps in install phase.

MUST: Packages containing shared library files must call ldconfig. N/A
MUST: A package must own all directories that it creates or require the package that owns the directory. N/A
MUST: Files only listed once in %files listings. OK
MUST: Debuginfo package is complete. OK
MUST: Permissions on files must be set properly. OK
MUST: Clean section exists. OK
MUST: Large documentation files must go in a -doc subpackage. OK

MUST: All relevant items are included in %doc. Items in %doc do not affect runtime of application. NEEDSFIX
- Add changes.txt to %doc.

MUST: Header files must be in a -devel package. N/A
MUST: Static libraries must be in a -static package. N/A
MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'. N/A
MUST: If a package contains library files with a suffix then library files ending in .so must go in a -devel package. N/A
MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency. N/A
MUST: Packages does not contain any .la libtool archives. N/A
MUST: Desktop files are installed properly. N/A
MUST: No file conflicts with other packages and no general names. OK
MUST: Buildroot cleaned before install. OK
SHOULD: %{?dist} tag is used in release. OK

SHOULD: If the package does not include license text(s) as separate files from upstream, the packager should query upstream to include it. NEEDSFIX
- Ask author to add http://www.gnu.org/licenses/gpl-3.0.txt to tarball.

SHOULD: The package builds in mock. OK
Comment 2 David Nalley 2009-05-11 18:51:59 EDT
Thanks for the review!

I emailed Russel Coker russel@coker.com.au on 11 May 2009, and requested that he include a copy of the license in future releases. 

I added the install argument, as well as adding changes.txt (and credits.txt and INSTALL) to docdir. 


SRPM URL: http://ke4qqq.fedorapeople.org/postal-0.70-4.fc10.src.rpm
SPEC URL: http://ke4qqq.fedorapeople.org/postal.spec
Comment 3 Susi Lehtola 2009-05-12 02:27:18 EDT
I wouldn't add INSTALL to %doc since it doesn't contain anything useful for the user of the rpm package. (You do know that you can list multiple files in a %doc line?)

The package has been

APPROVED
Comment 4 David Nalley 2009-05-12 09:35:40 EDT
I'll strip out INSTALL before it hits CVS. 
Yes I know that I can list multiple files, but as long as there isn't a plethora, one per line makes it a bit more legible to me at least. 
Thanks for the review!

New Package CVS Request
=======================
Package Name: postal
Short Description: mail server benchmark
Owners: ke4qqq
Branches: F-10 F-11 EL-5
InitialCC:
Comment 5 Kevin Fenzi 2009-05-13 01:01:37 EDT
cvs done.
Comment 6 Susi Lehtola 2009-05-15 12:08:37 EDT
Push the update to F-10 and close this bug.
Comment 7 Susi Lehtola 2009-05-22 13:02:30 EDT
*** Bug 448458 has been marked as a duplicate of this bug. ***
Comment 8 Susi Lehtola 2009-06-08 15:01:10 EDT
ping?
Comment 9 David Nalley 2009-06-17 09:34:34 EDT
This has been built and pushed to stable - sorry for not adding the bug number to bodhi and thus the failure to autoclose

Note You need to log in before you can comment on or make changes to this bug.